# _RunAsync
<span class="source-link">[[Source]](src/ponybench/_runner.md#L62)</span>
```pony
actor tag _RunAsync is
  _Runner tag
```

#### Implements

* [_Runner](ponybench-_Runner) tag

---

## Constructors

### create
<span class="source-link">[[Source]](src/ponybench/_runner.md#L78)</span>


```pony
new tag create(
  ponybench: PonyBench tag,
  benchmark: AsyncMicroBenchmark iso,
  overhead: Bool val)
: _RunAsync tag^
```
#### Parameters

*   ponybench: [PonyBench](ponybench-PonyBench) tag
*   benchmark: [AsyncMicroBenchmark](ponybench-AsyncMicroBenchmark) iso
*   overhead: [Bool](builtin-Bool) val

#### Returns

* [_RunAsync](ponybench-_RunAsync) tag^

---

## Public Behaviours

### apply
<span class="source-link">[[Source]](src/ponybench/_runner.md#L89)</span>


```pony
be apply()
```

---

## Private Behaviours

### _apply_cont
<span class="source-link">[[Source]](src/ponybench/_runner.md#L92)</span>


```pony
be _apply_cont(
  e: U64 val)
```
#### Parameters

*   e: [U64](builtin-U64) val

---

### _run_iteration
<span class="source-link">[[Source]](src/ponybench/_runner.md#L99)</span>


```pony
be _run_iteration(
  e: U64 val)
```
#### Parameters

*   e: [U64](builtin-U64) val

---

### _complete
<span class="source-link">[[Source]](src/ponybench/_runner.md#L115)</span>


```pony
be _complete()
```

---

### _complete_cont
<span class="source-link">[[Source]](src/ponybench/_runner.md#L118)</span>


```pony
be _complete_cont(
  e: U64 val)
```
#### Parameters

*   e: [U64](builtin-U64) val

---

### _fail
<span class="source-link">[[Source]](src/ponybench/_runner.md#L121)</span>


```pony
be _fail()
```

---

## Private Functions

### _gc_next_behavior
<span class="source-link">[[Source]](src/ponybench/_runner.md#L124)</span>


```pony
fun ref _gc_next_behavior()
: None val
```

#### Returns

* [None](builtin-None) val

---

